<?php include_once '../codebase/hyperframe.php' ?>
<!doctype html>
<html>
<head><title></title>
   <META NAME="creation_time" CONTENT="90">
   <META NAME="keywords" CONTENT="">
   <META NAME="hf_frame" CONTENT="blog2">
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; utf-8">
</head>
<body>
<h1>Adding a blog article</h1>

<p>To add a blog article, simply add any type of HTML page to the directory/folder you have allocated to contain your blog. That&#39;s really all there is to it. The additional page will be registered into the blog&#39;s table of contents at the next refresh - Or you can force this to happen immediately by calling the blog index page with the &#39;?rebuild&#39; parameter.</p>

<p>To ensure a clean presentation of the blog index page, you should ensure that your page contains a H1 element at or near the top, containing a title for this article&#39;s listing. The following paragraph should be a description, typically up to 200 characters, of the page&#39;s content. If you follow normal good writing styles this will typically be the case, anyway. Don&#39;t worry if your opening paragraphs is too long for the description, it will be automatically shortened to the nearest complete word. It follows that very short opening paragraphs should be avoided, since they would then appear as cryptic one-liners in the descriptions.</p>

<p>As with standard Hyperframe pages, where a &lt;title&gt; HTML tag is present both this and any <em>description</em> meta tag will be used in preference to the body content&#39;s first heading and paragraph, for descriptive purposes. Thus if the page&#39;s TOC listing is inappropriate and you don&#39;t want to change the top section text, then you can determine how the article is listed in the TOC independently of the page content, by setting these head-section items using the page source editor.</p>

<p>You might wish to have an image shown in the TOC page for each of your blog articles. To achieve this, ensure that the image you wish to be shown is the first in the page to have non-blank alt/caption text. This image can be larger than the space allocated in the index page&#39;s column for images, in which case it will be automatically reduced. It should not be smaller than the image size chosen for the TOC.</p>

</body>
</html>
