<?php include_once 'codebase/hyperframe.php' ?><h1>Rolling back changes</h1>

<h3>-and recovering from mistakes or unwise decisions</h3>

<p><img alt="" onclick="hf_imgzoom_popup(this.src)" src="img/editing/filerestore.png" style="float: right; margin: 15px; width: 464px; height: 296px; border-width: 1px; border-style: solid;" title="The file restore interface" />If you make a mistake whilst editing and before saving, just press Control-Z or use the undo button.</p>

<p>If after a page containing a more major error has been saved, or if you simply find that the changes you are making haven&#39;t worked out too well, you may need to roll-back to an earlier version of the page. When you save a page or menu in the online editor, the previous version is copied to an &#39;undo&#39; area, making it relatively easy to recover the last good copy.</p>

<p>On the Hyperbar, select Tools&gt;File Restore. Select the version of the file you wish to restore from the lefthand tree, and click Restore. The most recent version is the one named exactly as the file, previous versions have a number added to the extension, the higher the number, the older the version. By default, the last ten saves of each page are archived here.</p>

<p>If the page being restored is already open in another browser tab, you will need to hit the browser&#39;s refresh button in order to see the effect of the rollback.</p>

<p>If you later decide that the rollback was not a good idea, you can return to the version prior to the last rollback by repeating the process and selecting the copy with an&nbsp; &#39;_unrestore&quot; extension tag.</p>

<p>Webpages and menu files are covered by the archival mechanism. Because of file size issues, images are NOT covered by this mechanism. However, good practice dictates that you should always retain local copies of any images used on a website, thus any accidentally over-written image should simply be re-uploaded.</p>

<p>File restore is available to full Site Editors and above. If required, it can be made available to less-priveleged users by changing the&nbsp; file_restore setting in siteini.php. Be aware, though, that this might permit a less-trusted user to roll back changes which a more priveleged user has made to an edit-restricted page.&nbsp;&nbsp;</p>

<p>This mechanism is included for convenience, in that it provides a quick and easy way to recover from design changes that don&#39;t work out the way you hoped.&nbsp; <b><u>It is not a substitute for backups of the site. </u></b></p>
