<?php include_once 'codebase/hyperframe.php' ?>
<!doctype html>
<html>
<html>
<head>
   <TITLE></TITLE>
   <META NANE="description"  CONTENT="">
   <META NAME="keywords" CONTENT="">
   <META NAME="hf_frame" CONTENT="">
   <META NAME="hf_menu" CONTENT="">
   <META NAME="hf_hide" CONTENT="">
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; utf-8">
   <link rel=stylesheet href="codebase/standalone.css" type="text/css">
</head>

<body>
<h1>Development and Versions</h1>

<h3>&nbsp;</h3>

<h3>Version 4.2</h3>

<p>Blogging interface</p>

<p>In this version we&#39;ve introduced a system for indexing your webpages in a date-by-date format, which is the essential basis of a blog. See the example <a href="blog">blog section</a> for more information.</p>

<p>An updated portable version.</p>

<p>Also, a few minor bug-fixes.</p>

<h3>Version 4.1</h3>

<p>This is largely a maintenance release in which a few minor issues with the new 4.0 code are addressed, including a fix to multilevel site handling where .php extensions are used. CKEditor has been upgraded to 4.5.1</p>

<p>Image captions can now include single or double quotes.</p>

<p>As a security enhancement, the setting of a site-specific master salt has been made automatic on first change of the admin password, whereas previously this was a manual option. Note, this change means that the userini.php file is specific to one site only, and any backup/restore of the userlist must include <em>all</em> configuration files.</p>

<p>The demo user account has been removed, as it was felt that its presence by default is not desirable on production versions. To reinstate it, just create a user with name guest, password guest and Demo mode privelege level. &nbsp;</p>

<p>A blogging module is also under development, and although it is working in a basic form it was felt that it was too early to release this for general use yet.</p>

<h3>Version 4.0</h3>

<p>It was originally intended to name this release as Version 3.1, however we feel that the changes made are of a sufficiently fundamental nature that a new major version is called for.</p>

<p>This time there are some fundamental changes to the frame structure which will require adjustments to any v3 or earlier sites which you wish to upgrade to v4. Therefore we suggest you read the upgrade instructions carefully before proceeding. In principle we&#39;d rather not make these &#39;compatibility-breaking&#39; changes, but the advantages are such that any small amount of reconfiguring of existing sites will be worthwhile.</p>

<p><strong>New in 4.0:</strong></p>

<ul>
  <li><strong>Frames now stored under &#39;frame&#39; subdirectory</strong></li>
  <li><strong>New menu system</strong></li>
  <li><strong>User frame selection</strong></li>
  <li><strong>Sample frames</strong></li>
  <li><strong>Unsaved data warning</strong></li>
  <li><strong>Optional code caching</strong></li>
  <li><strong>Asian language support</strong></li>
</ul>

<p>In this version we&#39;ve expanded on the frame concept by allowing the site visitor to select one of a number of available frames, which determine the layout and styling of the site. Since the choice is saved in the session, provided cookies are allowed it will apply to all visited pages on the site, for as long as the browser is kept open. This can be helpful for visitors who need a high-contrast display, for example - so long as you provide a suitable frame, of course. Or, just for plain showmanship. ;)&nbsp;</p>

<p>Frames are now stored as subdirectories of the frame directory, which is itself empty. This may cause slight issues for upgrades from previous versions, but is felt to be a preferable arrangement since it allows you to have as many frames as you like without cluttering the site&#39;s root directory.&nbsp; Note that as before you give the frame&#39;s name to select it, not the full path. It maybe should have been like this from the beginning, but hey, hindsight is a marvellous thing.</p>

<p>We&#39;re also working on a set&nbsp; of example frames to give you a feel for what is possible with Hyperframe. By examining their php&nbsp; and css code, you can also see how the various page layouts are constructed, which should help get you started with your own. As has been said before it&#39;s not intended that you should directly use any of these examples as the frame for a live website, though you could of course use one as a starting-point to build your own frame. That way you have the necessary elements in place.</p>

<p>The menu system is now a plugin instead of core functions. This gives the option to replace the menus entirely without having to rewrite the system code. The new plugin-based menu system provides both top and side menus from a common set of functions. Menu files themselves are unchanged, but some of the frame css styling options have had to be rewritten. Thus, you may need to do some restyling on your menus when upgrading. However, the new system is simpler and clearer -especially for the top menu- and allows more styling options. The sidebar menu is largely unchanged since this has always worked well. The dropdown menu is now click-based rather than mouse-hover based, and we think this will win friends fast from tablet users due to its better touchscreen compatibility. It should also make it easier to operate for people with limited dexterity.</p>

<p>In the page editor, you are now warned if you forget to save your changes.</p>

<p>Optionally, javascript and other code can be cached in the browser to improve performance. This is mainly of advantage in online editing mode where the large amount of code to be loaded causes a delay of a few seconds for each page. The downside of caching is that changes to code may not take effect until the browser is completely closed and re-opened. This can make error checking difficult. Hence when developing a site it is best to turn caching off. It is controlled by the <strong>browser_cache=0/1</strong> option in siteini.php.</p>

<p>The Ajax data handler has been upgraded to correctly handle Chinese, Japanese and other Asian language character sets. Note that this will only work on computers with the required fonts installed. The Hyperframe interface itself remains single language, but page text, frame text and menus -basically everything the site visitor sees- can now be in a much wider range of languages. Multilanguage sites might be an idea for the development pipeline.</p>

<p><strong>New in 3.0:</strong></p>

<ul>
  <li><strong>Quick image upload and link tool</strong></li>
  <li><strong>New image properties dialog</strong></li>
  <li><strong>Improvements to filesystem browser</strong></li>
  <li><strong>Previews now show current edit status instead of last save </strong></li>
  <li><strong>Guest login mode, most features available but no permanent save </strong></li>
</ul>

<p>Of the new features, we feel that the <strong>Quick Image tool</strong> should win the most friends. It offers what must be one of the most intuitive and straightforward ways of getting a photo or graphic up onto your webspace AND (importantly) displayed on the page with good, and controllable, styling. We said that Hyperframe would be aimed at experienced webmasters, but we&#39;ve bent that rule a little, realising that if you are to offer editing facilities to your clients, then very user-friendly tools are needed in some areas.&nbsp; Feedback suggests that Image uploading is the one single area that beginner editors have the most problems with on any CMS, and this new tool should greatly reduce their difficulties.&nbsp; Besides, it&#39;s handy for the experienced user too.</p>

<p><strong>Fixes for minor bugs: </strong></p>

<p style="margin-left: 40px;">Image selector gives incorrect path if in subdirectory - Fixed in 3.0<br />
Dir.php Preview uses wrong file types. Presently basing on action, should base on extension. Fixed 3.0<br />
Page preview not terminating path with / -Fixed 3.0<br />
Inline scripts limited to 3 in number. Raised to 255 in v3.0<br />
Srcedit.php - Not checking permissions correctly. Fixed in 2.5.0.1<br />
Frame change not working from commandline parameter - Fixed 3.0</p>

<p>There are no significant code changes between the 3.0 preview and this production release, although the help pages have been updated.</p>

<h3>History</h3>

<hr />
<p>Hyperframe has existed as an internal project for around four years, used for our own Web presence and a few client sites. The early versions did not feature an online editor as this was not seen as a requirement where pages were being created locally and uploaded. With Hyperframe&#39;s release to the public, user management and online editing were thought to be necessary additions. An innovative and simpler method of loading the common page elements was also developed. Hence the releases posted to Sourceforge are considered Version 2.x or 3.x</p>

<h3>New in 2.5:</h3>

<ul>
  <li><strong>Improved previews</strong></li>
  <li><strong>File Restore interface</strong></li>
  <li><strong>Session keepalive and timeout protection improved</strong></li>
  <li><strong>Head section editing added to source editor</strong></li>
  <li><strong>Granular editing permissions</strong></li>
  <li><strong>Gallery - Multiple image sets on same page</strong></li>
</ul>

<p>Preview mechanism now renders most file types as their native appearance. Since some people found the dual tree listing confusing, the file selector now shows only the standard locations for everyone, but Site Editor or higher users can click for an unrestricted view.</p>

<p>Easier online access to version history, with sourcecode inspector, for rollback of changes.</p>

<p>Editing sessions should not be subject to any time limits so long as the client remains connected to the server, but should disconnect relatively quickly in the event of the client computer or browser going offline or into standby. This is felt to offer better security against &#39;session resurrection&#39; exploits -especially those created by browser tab-restore features- whilst reducing the incidence of timeouts during work. Two config settings, keepalive and timeout, control this feature.</p>

<p>Although Hyperframe manages the page &lt;head&gt; section output to the browser largely automatically, it is sometimes useful to be able to edit that of individual pages. This can be accomplished by way of FTP or a file manager, but the new source editor feature adds convenience.</p>

<p>Pages may now contain tags which limit editing priveleges to specific users. See the Page Head section for info.</p>

<p>A page may now contain several discrete sets of gallery images, all of which are included in the slideshow.</p>

<h3>&nbsp;</h3>

<h3>New in 2.4:</h3>

<ul>
  <li>Page source code editing</li>
  <li>Improved editing of pages containing scripts</li>
  <li>CKEditor updated to 4.4.1</li>
  <li>Harvesting protection now attached to live editor save</li>
  <li>Tools menu no longer shows unavailable options</li>
  <li>Bugfix in Disqus code</li>
  <li>Menu live-link highlighting improvements</li>
  <li>Reminder to change admin password</li>
</ul>

<p>Live source code editing is now possible, using a button in the editor toolbar. This performs direct code swapping between the page being edited and the code editor, without affecting the saved version of the page. Javascript or PHP scripts can be directly created in the source editor, provided that the user has sufficient permissions. (If the user has insufficjent permissions the scripts will be removed on copyback to the HTML editor)</p>

<p>When first logging in to the admin interface on a page with scripting, any data reloads necessary to permit script editing are now handled automatically by ajax, making for a much smoother process. If the user does not have sufficient rights to edit a page containing scripts, then on attempting to do so the page content is replaced with a warning message.</p>

<p>CKEditor enhancements are detailed in the /codebase/ck/CHANGES.md file. Some changes to ckeditor.cfg and ckinline.js have been necessary to accommodate the new version, which we think you&#39;ll find offers an even better editing experience. Firefox 22 or Seamonkey 2.8 are now the minimum browser versions for online work.</p>

<p>Harvesting protection is a very valuable feature in protection against casual leaking of email addresses to spammers, however it does impose some extra server workload if it is invoked every time a page is served. Since it should hopefully be the case that knowledgeable users don&#39;t make such blunders, it was felt acceptable to do the harvesting check whenever a page is saved from the online editor. This covers the main risk without impacting on the site visitor&#39;s experience. Harvesting protection is now ON by default in siteini.php, and will block the saving of pages containing nude email addresses.</p>

<p>The Tools menu now displays Help and File Manager links if and only if the relevant directories are present.</p>

<p>The Disqus plugin contained a minor oversight which led to its working with the example comment thread, but no other. Apologies if this caused some head-scratching!</p>

<h3>New in 2.3:</h3>

<ul>
  <li>Production release, beta tag removed</li>
  <li>Address-harvesting (spamming) protection</li>
  <li>Multi-column (newspaper-like) text flow</li>
  <li>Menu option to test page being edited (at the moment this only works on saved content)</li>
  <li>Minor bugfixes</li>
</ul>

<p>No changes that should affect compatibility with existing Hyperframe sites, other than the need to add a few options to sitecfg.ini</p>

<h3>New in 2.2:</h3>

<h4 style="margin-left: 40px;">&nbsp;</h4>

<h4 style="margin-left: 40px;">Plugins:</h4>

<ul>
  <li style="margin-left: 40px;">Contact Us form with robot protection</li>
  <li style="margin-left: 40px;">Captcha, math based</li>
  <li style="margin-left: 40px;">Disqus commenting interface</li>
  <li style="margin-left: 40px;">Gallery and slideshow</li>
</ul>

<p style="margin-left: 40px;">Improved display in older browsers, and a test for (hopelessly) outdated browsers before allowing online editing.</p>

<p style="margin-left: 40px;">Several minor bugfixes</p>

<h4>Site-breaking changes:</h4>

<p style="margin-left: 40px;">If you are upgrading an earlier site to 2.2 or later and wish to retain your existing menu styling, you need to adjust your frame.php to create a <strong>&lt;div class=&quot;menutree&quot;&gt;</strong> container for the lefthand menu. As in:</p>

<pre style="margin-left: 40px;">
&lt;div class=&quot;menutree&quot;&gt;
&lt;?php sitemenu(&#39;side&#39;)?&gt;
&lt;/div&gt;</pre>

<p style="margin-left: 40px;">Previously this div was mandatory, being supplied by the sidemenu function in core.php. It is now optional. The change is to allow greater flexibility in menu layout and styling.</p>

<h3>Version 1:</h3>

<p>Version 1.0 operated more along the lines of mainstream CMS, in that pages were loaded via parameters to an index.php file. Although this arrangement was found very reliable, it raised the issue of calling for <em>URL rewriting</em> to achieve &#39;tidy&#39; URLs in the client browser. The rewriting element was a real pain, since it interfered with access to files in subdirectories unless each had its own .htaccess directives cancelling the rewriting. Around v1.5 we set about eliminating the rewriting requirement, by way of loading pages reflexively.&nbsp; This works by&nbsp; prepending a php routine to all pages, such that the prepended script takes over from the webserver&#39;s processing of the page, and instead &#39;plays&#39; the page contents in to memory buffer. From there, the frame items are added, and the result is sent to the browser.</p>

<p>The key advantage of reflex loading is that<em> the URL you see in the browser topbar is the page you get onscreen</em>, just as if it were a static HTML file, with no untidy gibberish and no confusing redirects. Naturally, this is also searchengine friendly by default, thus eliminating the complex URL rewrites often needed in mainstream CMS to achieve proper site spidering. Reflex page loading is also potentially more secure than parametric loading, since it is hard to see how a foreign URL could be injected into a direct page request. Meanwhile the reflex loader takes its referring-page info from php constants which, unlike URL parameters, the site visitor cannot change. Thus if the browser&#39;s request is <em>not</em> the name of a local file, then a 404 is generated and that is the end of the matter.</p>

<p>Version 2 sees the addition of user accounts and &#39;live&#39; page and menu editing, plus several other enhancements.&nbsp; This version has been a long time under development, perhaps not surprising as it&#39;s a fairly large project (Yeah, a LOT bigger than we thought it would be, but aren&#39;t they always!) and we&#39;re a small team doing this work as and when time is available in between pay-dirt jobs.</p>

<p>This release is now considered a production version, and is in use on several live sites. It serves our own main website which delivers ~1GB of downloads per month. We are still in the process of evaluating compatibility with various webhosts, and feedback on that aspect would be helpful. It has so far been tested on various paid and free services, and experiences are that hosting company settings for php do vary quite a lot, so some tinkering with .htaccess and php.ini is often necessary to get things working smoothly. That is unfortunately the nature of Web hosting, and we have to accept that adjustments to suit the working environment are often necessary. Greater standardisation of hosts would be a really positive step toward making it easier to deploy websites, regardless of platform, but then that is unlikely anytime soon.</p>

<h3>&nbsp;</h3>

</body>
</html>